MMFF.h File Reference
`#include <ForceField/ForceField.h>`
`#include "Builder.h"`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::MMFF

## Functions

std::pair< int, double > | RDKit::MMFF::MMFFOptimizeMolecule (ROMol &mol, int maxIters=1000, std::string mmffVariant="MMFF94", double nonBondedThresh=10.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Convenience function for optimizing a molecule using MMFF. More...
void | RDKit::MMFF::MMFFOptimizeMoleculeConfs (ROMol &mol, std::vector< std::pair< int, double > > &res, unsigned int numThreads=1, int maxIters=1000, std::string mmffVariant="MMFF94", double nonBondedThresh=10.0, bool ignoreInterfragInteractions=true)
| Convenience function for optimizing all of a molecule's conformations using MMFF. More...